import { Box, Stack } from '@mui/material';
import React, { useEffect } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { actionFullRegister } from '../store/authSlice';
import LoginForm from '../components/LoginForm';
import { useNavigate } from 'react-router-dom';
import Title from '../components/Title';

export default function RegisterPage() {
  const token = useSelector(state => state.auth.token);
  const dispatch = useDispatch();
  const navigate = useNavigate();

  //СДЕЛАТЬ ПРОВЕРКУ ОШИБКИ ЕСЛИ ПОЛЬЗОВАТЕЛЬ СУЩЕСТВУЕТ И ВЫВОДИТЬ СООБЩЕНИЕ, ЕСЛИ КЛИКАЕШЬ НА КНОПКУ ДО ТОГО КАК ЗАПОЛНИЛ ДАННЫЕ
  useEffect(() => {
    if (token) {
      navigate('/');
    }
  }, [token]);

  const onRegister = (login, password) => {
    dispatch(actionFullRegister({ login, password }));
  }

  return (
    <>
    <Title>Registration</Title>
      <Box sx={{ maxWidth: '300px', width: '100%', m: '150px auto' }}>
        <LoginForm submit='Registration' onSubmit={onRegister} />
      </Box>
    </>
  )
}
